/* -*- mode:prolog; -*-
 ******************************************************************
 * $Id: call.pl,v 1.3 1999/04/19 17:40:48 clerger Exp $
 * Copyright (C) 1998 by INRIA 
 * Author: Eric de la Clergerie <Eric.De_La_Clergerie@inria.fr>
 * ----------------------------------------------------------------
 *
 *  call.pl -- predicate call
 *
 * ----------------------------------------------------------------
 * Description
 *
 * ----------------------------------------------------------------
 */

:-require 'format.pl'.

'$dyalog_module_call'.

:-prolog call/1,'$call'/1.

call( X ) :-
    var( X ) -> error( instanciation_error( call(X), 1 ) );
    X = (Y,Z) -> (call(Y) , call(Z)) ;
    X = (Y;Z) -> (call(Y) ; call(Z)) ;
    '$call'(X).
	
